aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <chr@chymera.eu>2020-09-25 05:26:39 -0400
committerHorea Christian <chr@chymera.eu>2020-09-25 05:26:39 -0400
commit7766d151243230173d21865e85dbf7c71853f8ad (patch)
treee55c588908ecd9aa46b90149001eb0bdc948fd53 /sci-libs/nipype/nipype-1.5.0.ebuild
parentsci-libs/nibabel: removed old version, PYTHON_COMPAT update (diff)
downloadsci-7766d151243230173d21865e85dbf7c71853f8ad.tar.gz
sci-7766d151243230173d21865e85dbf7c71853f8ad.tar.bz2
sci-7766d151243230173d21865e85dbf7c71853f8ad.zip
sci-libs/nipype: version bump 1.{4,5}* and old version removal
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Horea Christian <chr@chymera.eu>
Diffstat (limited to 'sci-libs/nipype/nipype-1.5.0.ebuild')
-rw-r--r--sci-libs/nipype/nipype-1.5.0.ebuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/sci-libs/nipype/nipype-1.5.0.ebuild b/sci-libs/nipype/nipype-1.5.0.ebuild
new file mode 100644
index 000000000..1c3357c1a
--- /dev/null
+++ b/sci-libs/nipype/nipype-1.5.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Neuroimaging in Python: Pipelines and Interfaces"
+HOMEPAGE="http://nipy.sourceforge.net/nipype/"
+SRC_URI="https://github.com/nipy/nipype/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/prov[${PYTHON_USEDEP}]
+ sci-libs/nibabel[${PYTHON_USEDEP}]
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )
+"
+# Dependency disabled as upstream test configuration which requires it fails
+#dev-python/pytest-xdist[${PYTHON_USEDEP}]
+
+RDEPEND="
+ >=dev-python/click-6.6[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pydot[${PYTHON_USEDEP}]
+ dev-python/pydotplus[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/rdflib-5.0.0[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/traits[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/${P}"-version_check.patch
+)
+
+src_prepare() {
+ # Remove etelemetry
+ sed -i '/"etelemetry/d' nipype/info.py || die
+
+ # Mark failing tests
+ sed -i \
+ -e "/def test_no_et(tmp_path):/i@pytest.mark.skip('Known to fail by upstream: https://github.com/nipy/nipype/issues/3196#issuecomment-606003186')" \
+ nipype/tests/test_nipype.py || die
+ sed -i \
+ -e "/def test_fslversion():/i@pytest.mark.skip('Known to fail by upstream: https://github.com/nipy/nipype/issues/3196#issuecomment-605997462')" \
+ nipype/interfaces/fsl/tests/test_base.py || die
+ default
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ doenvd "${FILESDIR}/98nipype"
+}
+
+python_test() {
+ # Setting environment variable to disable etelemetry version check:
+ # https://github.com/nipy/nipype/issues/3196#issuecomment-605980044
+ NIPYPE_NO_ET=1 pytest -vv\
+ || die
+ # Upstream test configuration fails
+ #-c nipype/pytest.ini\
+ #--doctest-modules nipype\
+ #--cov nipype\
+ #--cov-config .coveragerc\
+ #--cov-report xml:cov.xml\
+}
+
+pkg_postinst() {
+ echo
+ einfo "Please run the following commands if you"
+ einfo "intend to use nipype from an existing shell:"
+ einfo "source /etc/profile"
+ echo
+}